<!doctype html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, minimum-scale=1, initial-scale=1, user-scalable=yes">

  <title>PruebaPolymer2</title>
  <meta name="description" content="Principiante con polymer2">

  <!-- See https://goo.gl/OOhYW5 -->
  <link rel="manifest" href="/manifest.json">

  <script src="/bower_components/webcomponentsjs/webcomponents-loader.js"></script>
  <link rel="import" href="../../bower_components/paper-input/paper-input.html">
  <link rel="import" href="/src/prueba-raiz/prueba-raiz.html">
  <link rel="import" href="/src/componentes/listado-instrumentos.html">
  <link rel="import" href="/src/componentes/estado-animo.html">
  <link rel="import" href="/src/componentes/ciclo-vida.html">
  <link rel="import" href="/src/componentes/test-cli-app.html">
  <link rel="import" href="/src/componentes/cuenta-clicks.html">
  <link rel="import" href="/src/componentes/deserializacion-tipos.html">
  <link rel="import" href="/src/componentes/deserializacion-personalizada.html">
  <link rel="import" href="/src/componentes/persona-contacto.html">
  <link rel="import" href="/src/componentes/uso-reflecttoattribute.html">
  <link rel="import" href="/src/componentes/avatar-usuario.html">
  <link rel="import" href="/src/componentes/fuerza-clave.html">
  
</head>

<body>
  <listado-instrumentos></listado-instrumentos>
  <estado-animo animo="alegre" id="displayanimo"></estado-animo>
  <test-cli-app></test-cli-app>

  <button id="botoncontento">Ponerse contento</button>
  <button id="botontriste">Ponerse triste</button>
  <cuenta-clicks></cuenta-clicks>
  <deserializacion-tipos 
  mi-numero="090" 
  mi-boleano 
  mi-array="[3, 67, 9]" 
  mi-objeto='{"valor": "valor", "prop2": "valor2", "prop3": "valor3"}'
  mi-fecha="1975-02-21"></deserializacion-tipos>

  <deserializacion-personalizada miFechaEspanola="2015-03-25" ></deserializacion-personalizada>

  <persona-contacto
  nombre = "Roldan"
  apellidos = "Nieto Gonzalez"
  ></persona-contacto>

  <uso-reflecttoattribute></uso-reflecttoattribute>

  <avatar-usuario nombre="Roldan" apellidos="Nieto Gonzalez"></avatar-usuario>

  <fuerza-clave></fuerza-clave>
  <!-- ciclo de vida de los componentes 
  
  <title>Uso del componente ciclo-vida y botones para poder producir cambios en el estado</title>
  </head>

  <body>
    <h1>
      Uso del componente ciclo-vida
    </h1>
    <p>Se colocan dos elementos en el body y se generan dos elementos en la memoria de Javascript.</p>
    <p>Pulsa además los botones para poder producir cambios en el estado de un elemento y ver los otros mensajes del ciclo de
      vida.</p>
    <ciclo-vida></ciclo-vida>
    <ciclo-vida></ciclo-vida>
    <button id="anadirAlDOM">Añadir un elemento al DOM</button>
    <button id="eliminarDelDOM">Eliminar un elemento del DOM</button>
    <button id="cambiarAtributo">Cambiar un atributo de elemento</button>

    <script>
      var el1 = document.createElement('ciclo-vida');
      el1.setAttribute('id', 'el1');
      var el2 = new CicloVida();
      document.getElementById('anadirAlDOM').addEventListener('click', function () {
        document.body.appendChild(el1);
      });
      document.getElementById('eliminarDelDOM').addEventListener('click', function () {
        document.body.removeChild(document.getElementById('el1'));
      });
      document.getElementById('cambiarAtributo').addEventListener('click', function () {
        el1.setAttribute('test', 'valortest' + Date.now());
      });
    </script>
    -->

</body>

</html>